# Gimp.LoadProcedure.set_thumbnail_loader

    @accepts(Gimp.LoadProcedure, unicode)
    @returns(none)
    def set_thumbnail_loader(self, thumbnail_proc):
        # Python wrapper for gimp_load_procedure_set_thumbnail_loader()

Associates a thumbnail loader with a file load procedure.

Some file formats allow for embedded thumbnails, other file formats contain a scalable image or provide the image data in different resolutions. A file plug-in for such a format may register a special procedure that allows GIMP to load a thumbnail preview of the image. This procedure is then associated with the standard load procedure using this function.

Since 3.0

self

  A load procedure object.

thumbnail_proc

  The name of the thumbnail load procedure.